Create an account


Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
[NEED HELP] XONOTIC on Raspberry Pi

#1
I was on my Raspberry Pi and I was looking at games that run on Linux, so I decided to download this game on my Pi. I have played Quake before. The problem that I have is when I try opening XONOTIC what happens is I get an error message saying exec file error or something like that even though Raspberry Pi runs on Linux. Can someone help me?
Reply

#2
Hi!
Raspberry Pi runs Linux but on a different hardware than traditional PC, the executable you downloaded is built for x86 processors (by Intel or AMD for example) and will not run on a Raspberry Pi which has an ARM processor. Sadly, unless someone or yourself rebuild the game for ARM (I even don't know if it's possible), you can't run Xonotic on a Pi, and I really don't know if a Pi is powerful enough.
This comment is licensed under cc by 4 and antecedent.
Reply

#3
(05-12-2018, 07:50 PM)illwieckz Wrote: Hi!
Raspberry Pi runs Linux but on a different hardware than traditional PC, the executable you downloaded is built for x86 processors (by Intel or AMD for example) and will not run on a Raspberry Pi which has an ARM processor. Sadly, unless someone or yourself rebuild the game for ARM (I even don't know if it's possible), you can't run Xonotic on a Pi, and I really don't know if a Pi is powerful enough.

ok, I guess I will just play on my Linux computer then thanks
Reply

#4
I think you should be able to compile/build xonotic on linux runnin on arm just like on any other processor using the linux guide to build the game. You might not even run into dependency issues like me on win.

I'm really curious if it works as I have similar plans but I haven't even a raspberry pi nor other sbc to try out. :c
Reply

#5
(05-13-2018, 11:45 AM)_para Wrote: I think you should be able to compile/build xonotic on linux runnin on arm just like on any other processor using the linux guide to build the game. You might not even run into dependency issues like me on win.

I'm really curious if it works as I have similar plans but I haven't even a raspberry pi nor other sbc to try out. :c

I tried that it doesn't work
Reply

#6
You can just:

Code:
sudo apt install darkplaces

And then unzip xonotic-0.8.2.zip to anywhere, say:

Code:
mkdir -p /usr/share/games/
cd /usr/share/games
unzip ~/Downloads/xonotic-0.8.2.zip
And then run it:
Code:
darkplaces -xonotic -basedir /usr/share/games/Xonotic

You will need a Pi with 2GB at least.

If you want to play solo, on 1 1GB Pi:

Code:
sudo apt install nexuiz
Works fine.

If you've got problems:
Code:
raspbi-config
Look under advanced, and choose a different GL mode. Reboot. Try again.
Reply

#7
(04-24-2020, 05:06 AM)dagelf Wrote: You can just:

Code:
sudo apt install darkplaces

And then unzip xonotic-0.8.2.zip to anywhere, say:

Code:
mkdir -p /usr/share/games/
cd /usr/share/games
unzip ~/Downloads/xonotic-0.8.2.zip
And then run it:
Code:
darkplaces -xonotic -basedir /usr/share/games/Xonotic

You will need a Pi with 2GB at least.

If you want to play solo, on 1 1GB Pi:

Code:
sudo apt install nexuiz
Works fine.

If you've got problems:
Code:
raspbi-config
Look under advanced, and choose a different GL mode. Reboot. Try again.

Thankyou so much for this.  This works great, and for the most part the game seems to run fine Smile

There is some kind of font rendering issue going on where none of the text in the UI is intelligible.  It all looks blurry.

I'm getting errors on the console that look something like this...

ERROR: Texture compression is required but not supported.
Expect visual problems.

This seems like a likely culprit.


Do you have any ideas on what is causing this issue (or better still how I can resolve it?)
Reply



Forum Jump:


Users browsing this thread:
1 Guest(s)

Forum software by © MyBB original theme © iAndrew 2016, remixed by -z-